//package com.gxzc.zen.orm
//
//import org.aopalliance.intercept.MethodInterceptor
//import org.aopalliance.intercept.MethodInvocation
//import java.lang.reflect.Method
//import java.util.*
//
///**
// *
// * @author NorthLan at 2018/1/29
// */
//
//class DataSourceSwitchMethodInterceptor : MethodInterceptor {
//    override fun invoke(invocation: MethodInvocation): Any {
//        val packageName = invocation.`this`.javaClass.`package`.name
//        if ("api.sys" in packageName) {
//            setDataSourceKey(invocation.method, MultipleDataSourceConfig.DS_KEY_SYS)
//        } else if ("api.rec" in packageName) {
//            setDataSourceKey(invocation.method, MultipleDataSourceConfig.DS_KEY_REC)
//        }
//        return invocation.proceed()
//    }
//
//    /**
//     * 设置数据源key
//     */
//    private fun setDataSourceKey(method: Method, defaultKey: String) {
//        val dynamicDataSource = method.getAnnotation(DynamicDataSource::class.java)
//        if (Objects.isNull(dynamicDataSource)) {
//            DynamicMultipleDataSource.setDataSource(defaultKey)
//            return
//        }
//        DynamicMultipleDataSource.setDataSource(dynamicDataSource.value)
//    }
//}